Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981731 - [abrt] kde-baseapps-4.10.4-1.fc18: ref: Process /usr/bin/konqueror was killed by signal 11 (SIGSEGV)
Summary: [abrt] kde-baseapps-4.10.4-1.fc18: ref: Process /usr/bin/konqueror was killed...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: qtwebkit
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b0ae1d01dc7ddac1acab5927f61...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-05 15:40 UTC by Stephen Adams
Modified: 2014-02-05 22:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:04:09 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-05 15:40 UTC, Stephen Adams
no flags Details
File: cgroup (deleted)
2013-07-05 15:40 UTC, Stephen Adams
no flags Details
File: core_backtrace (deleted)
2013-07-05 15:40 UTC, Stephen Adams
no flags Details
File: dso_list (deleted)
2013-07-05 15:40 UTC, Stephen Adams
no flags Details
File: environ (deleted)
2013-07-05 15:40 UTC, Stephen Adams
no flags Details
File: limits (deleted)
2013-07-05 15:40 UTC, Stephen Adams
no flags Details
File: maps (deleted)
2013-07-05 15:40 UTC, Stephen Adams
no flags Details
File: open_fds (deleted)
2013-07-05 15:40 UTC, Stephen Adams
no flags Details
File: proc_pid_status (deleted)
2013-07-05 15:41 UTC, Stephen Adams
no flags Details

Description Stephen Adams 2013-07-05 15:40:22 UTC
Description of problem:
Searching the web for advice or tutorials on how to set up a DNS server using FreeBSD and OpenBSD. For whatever reason, the Konqueror application just quit, leading to this very time-consuming (over 1/2 hour) and convoluted way of reporting the system generated bug report.

Version-Release number of selected component:
kde-baseapps-4.10.4-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/konqueror --silent
crash_function: ref
executable:     /usr/bin/konqueror
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul  5 11:03:31 sappalandros abrt[6065]: Saved core dump of pid 5694 (/usr/bin/konqueror) to /var/tmp/abrt/ccpp-2013-07-05-11:03:25-5694 (1390579712 bytes)
xsession_errors: konqueror(5694)/kio (KIOJob) KIO::TransferJob::slotData: mimeType() not emitted when sending first data!; job URL = KUrl("http://traffiqexchange.rotator.hadj7.adjuggler.net/servlet/ajrotator/263702/0/impr?ajecscp=1373036593974&ajkey=V12CE30498CJ-573J8020L261893144CAB756L264180L263707QL261910QQP0G01G0G0Q0A50543100000101000020&rtb_source=adjuggler&abf=true&admeld.price_floor=0.4&admeld.ask_price=0.4&admeld.time=96&admeld.status=nobid&pubmatic.price_floor=0.4&pubmatic.ask_price=0.4&pubmatic.time=254&pubmatic.status=nobid&admeld.json=ad%5Bid%5D=-1%26ad%5BadProviderId%5D=0%26ad%5BadProviderName%5D=admeldpsa%26ad%5Bwidth%5D=728%26ad%5Bheight%5D=90%26ad%5Bcontainer%5D=ad%26ad%5Bbid%5D=0%26ad%5BrequestId%5D=a06bfb3d-310a-40c9-a255-bca4b611c9b8%26ad%5Bviews%5D=0%26ad%5Bexpires%5D=1373036603&pubmatic.json=PubMatic_Bid%5Becpm%5D=0%26PubMatic_Bid%5Bautorefresh_time%5D=0%26PubMatic_Bid%5Bprefetch_data%5D=0%26meta_data%5Brid%5D=0") data size = 0 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ref at ../../src/corelib/arch/qatomic_x86_64.h:121
 #1 QtSharedPointer::ExternalRefCountData::getAndRef at tools/qsharedpointer.cpp:1257
 #2 QWeakPointer<QObject> at ../../src/corelib/tools/qsharedpointer_impl.h:595
 #3 operator=<QObject> at ../../src/corelib/tools/qsharedpointer_impl.h:600
 #4 QNetworkRequest::setOriginatingObject at access/qnetworkrequest.cpp:565
 #5 WebCore::ResourceRequest::toNetworkRequest at /lib64/libQtWebKit.so.4
 #6 WebCore::QNetworkReplyHandler::redirect at /lib64/libQtWebKit.so.4
 #7 WebCore::QNetworkReplyHandler::sendResponseIfNeeded at /lib64/libQtWebKit.so.4
 #8 WebCore::QNetworkReplyHandlerCallQueue::flush at /lib64/libQtWebKit.so.4
 #9 WebCore::QNetworkReplyWrapper::receiveMetaData at /lib64/libQtWebKit.so.4

Comment 1 Stephen Adams 2013-07-05 15:40:27 UTC
Created attachment 769310 [details]
File: backtrace

Comment 2 Stephen Adams 2013-07-05 15:40:31 UTC
Created attachment 769311 [details]
File: cgroup

Comment 3 Stephen Adams 2013-07-05 15:40:37 UTC
Created attachment 769312 [details]
File: core_backtrace

Comment 4 Stephen Adams 2013-07-05 15:40:42 UTC
Created attachment 769313 [details]
File: dso_list

Comment 5 Stephen Adams 2013-07-05 15:40:45 UTC
Created attachment 769314 [details]
File: environ

Comment 6 Stephen Adams 2013-07-05 15:40:49 UTC
Created attachment 769315 [details]
File: limits

Comment 7 Stephen Adams 2013-07-05 15:40:53 UTC
Created attachment 769316 [details]
File: maps

Comment 8 Stephen Adams 2013-07-05 15:40:56 UTC
Created attachment 769317 [details]
File: open_fds

Comment 9 Stephen Adams 2013-07-05 15:41:00 UTC
Created attachment 769318 [details]
File: proc_pid_status

Comment 10 Stephen Adams 2013-07-05 15:47:54 UTC
If it makes a difference, this bug occured on a Fedora 18 x86_64 installation on Apple iMac 12,1 hardware (i5 quad-core @2.5GHz, 4GB RAM, ATI/AMD HD6750M GPU using fglrx drivers).

Comment 11 Fedora End Of Life 2013-12-21 14:15:02 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2014-02-05 22:04:09 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.